import request from '@/utils/request';

// 查询问卷调查列表
export function questionnaireList(query) {
	return request({
		url: '/comprehensive/release/list',
		method: 'get',
		data: query
	})
}
// 查询填写记录列表
export function answerList(query) {
	return request({
		url: '/comprehensive/answer/list',
		method: 'get',
		data: query
	})
}
// 填写问卷
// export function addAnswer(query) {
// 	return request({
// 		url: '/comprehensive/answer/add',
// 		method: 'post',
// 		data: data
// 	})
// }
// 更新问卷
export function updateAnswer(data) {
	return request({
		url: '/comprehensive/answer/update',
		method: 'post',
		data: data
	})
}
// 获取问卷题目
export function getQuestionnaire(data) {
	return request({
		url: '/comprehensive/answer/getQuestionnaire',
		method: 'post',
		data: data
	})
}